searchData={"items":[{"type":"module","title":"Landmark","doc":"Landmark is a geospatial analysis library.","ref":"Landmark.html"},{"type":"type","title":"Landmark.bbox/0","doc":"","ref":"Landmark.html#t:bbox/0"},{"type":"type","title":"Landmark.lng_lat/0","doc":"","ref":"Landmark.html#t:lng_lat/0"},{"type":"module","title":"Landmark.Conversion","doc":"","ref":"Landmark.Conversion.html"},{"type":"function","title":"Landmark.Conversion.bbox_polygon/1","doc":"Takes a bbox and returns an equivalent polygon.","ref":"Landmark.Conversion.html#bbox_polygon/1"},{"type":"function","title":"Examples - Landmark.Conversion.bbox_polygon/1","doc":"iex> Landmark.Conversion.bbox_polygon({0, 0, 10, 10})\n    %Geo.Polygon{coordinates: [[{0, 0}, {10, 0}, {10, 10}, {0, 10}, {0, 0}]]}","ref":"Landmark.Conversion.html#bbox_polygon/1-examples"},{"type":"module","title":"Landmark.Helpers","doc":"","ref":"Landmark.Helpers.html"},{"type":"function","title":"Landmark.Helpers.convert_length/3","doc":"Convert a `length` from `from` unit to `to`","ref":"Landmark.Helpers.html#convert_length/3"},{"type":"function","title":"Examples - Landmark.Helpers.convert_length/3","doc":"iex> Landmark.Helpers.convert_length(4500, :meters, :kilometers)\n    4.5\n\n    iex> Landmark.Helpers.convert_length(4500, :kilometers, :radians)\n    0.7063246506675239\n\n    iex> Landmark.Helpers.convert_length(35, :meters, :meters)\n    35","ref":"Landmark.Helpers.html#convert_length/3-examples"},{"type":"function","title":"Landmark.Helpers.coords/1","doc":"Get the coordinates from a GeoJSON object.","ref":"Landmark.Helpers.html#coords/1"},{"type":"function","title":"Examples - Landmark.Helpers.coords/1","doc":"iex> Landmark.Helpers.coords(%Geo.Point{coordinates: {1, 2}})\n    [{1, 2}]\n    iex> Landmark.Helpers.coords(%Geo.MultiPoint{coordinates: [{1, 2}, {3, 4}]})\n    [{1, 2}, {3, 4}]\n    iex> Landmark.Helpers.coords(%Geo.Polygon{coordinates: [[{1, 2}, {3, 4}, {5, 6}], [{7, 8}, {9, 10}]]})\n    [{1, 2}, {3, 4}, {5, 6}, {7, 8}, {9, 10}]","ref":"Landmark.Helpers.html#coords/1-examples"},{"type":"function","title":"Landmark.Helpers.earth_radius_in_meters/0","doc":"","ref":"Landmark.Helpers.html#earth_radius_in_meters/0"},{"type":"function","title":"Landmark.Helpers.length_to_radians/2","doc":"Convert a `length` measurement in the given `unit` to radians (assuming a spherical earth).","ref":"Landmark.Helpers.html#length_to_radians/2"},{"type":"function","title":"Examples - Landmark.Helpers.length_to_radians/2","doc":"iex> Landmark.Helpers.length_to_radians(1000, :kilometers)\n    0.15696103348167198","ref":"Landmark.Helpers.html#length_to_radians/2-examples"},{"type":"function","title":"Landmark.Helpers.radians_to_length/2","doc":"Convert a distance measurement (assuming a spherical Earth) from radians to a more friendly unit.","ref":"Landmark.Helpers.html#radians_to_length/2"},{"type":"function","title":"Examples - Landmark.Helpers.radians_to_length/2","doc":"iex> Landmark.Helpers.radians_to_length(1, :kilometers)\n    6371.008","ref":"Landmark.Helpers.html#radians_to_length/2-examples"},{"type":"type","title":"Landmark.Helpers.length_unit/0","doc":"","ref":"Landmark.Helpers.html#t:length_unit/0"},{"type":"module","title":"Landmark.Measurement","doc":"","ref":"Landmark.Measurement.html"},{"type":"function","title":"Landmark.Measurement.bbox/1","doc":"Computes the bounding box for an object.","ref":"Landmark.Measurement.html#bbox/1"},{"type":"function","title":"Examples - Landmark.Measurement.bbox/1","doc":"iex> Landmark.Measurement.bbox(%Geo.LineString{coordinates: [{1, 2}, {4, 6}]})\n    {1, 2, 4, 6}\n\n    iex> Landmark.Measurement.bbox(%Geo.LineString{coordinates: []})\n    nil","ref":"Landmark.Measurement.html#bbox/1-examples"},{"type":"function","title":"Landmark.Measurement.bearing/2","doc":"Takes two `Geo.Point`s and finds the geographic bearing between them,\ni.e. the angle measured in degrees from the north line (0 degrees)","ref":"Landmark.Measurement.html#bearing/2"},{"type":"function","title":"Landmark.Measurement.center_of_mass/1","doc":"Computes an object's center of mass using \"Centroid of Polygon\" formula\n\nhttps://en.wikipedia.org/wiki/Centroid#Of_a_polygon","ref":"Landmark.Measurement.html#center_of_mass/1"},{"type":"function","title":"Examples - Landmark.Measurement.center_of_mass/1","doc":"iex> polygon = %Geo.Polygon{coordinates: [[{2, 2}, {2, 4}, {6, 4}, {6, 2}, {2, 2}]]}\n    ...> Landmark.Measurement.center_of_mass(polygon)\n    %Geo.Point{coordinates: {4.0, 3.0}}","ref":"Landmark.Measurement.html#center_of_mass/1-examples"},{"type":"function","title":"Landmark.Measurement.centroid/1","doc":"Computes the centroid as the mean of all vertices within the object.","ref":"Landmark.Measurement.html#centroid/1"},{"type":"function","title":"Examples - Landmark.Measurement.centroid/1","doc":"iex> polygon = %Geo.Polygon{coordinates: [[{2, 2}, {2, 4}, {6, 4}, {6, 2}, {2, 2}]]}\n    ...> Landmark.Measurement.centroid(polygon)\n    %Geo.Point{coordinates: {4.0, 3.0}}\n\n    iex> point = %Geo.Point{coordinates: {1, 1}}\n    ...> Landmark.Measurement.centroid(point)\n    %Geo.Point{coordinates: {1, 1}}","ref":"Landmark.Measurement.html#centroid/1-examples"},{"type":"function","title":"Landmark.Measurement.destination/4","doc":"Given a start point, initial bearing, and distance, will calculate the destina­tion point\nfrom travelling along a (shortest distance) great circle arc.","ref":"Landmark.Measurement.html#destination/4"},{"type":"function","title":"Examples - Landmark.Measurement.destination/4","doc":"iex> Landmark.Measurement.destination(%Geo.Point{coordinates: {-75, 39}}, 100, 90)\n    %Geo.Point{coordinates: {-73.84285308264721, 38.99428496242162}}","ref":"Landmark.Measurement.html#destination/4-examples"},{"type":"function","title":"Landmark.Measurement.distance/3","doc":"Calculates the distance between two coordinates.\nUses the Haversine formula to account for global curvature.\n\nDefault unit is kilometers.","ref":"Landmark.Measurement.html#distance/3"},{"type":"function","title":"Landmark.Measurement.rhumb_destination/4","doc":"Returns the destination point having travelled along a rhumb line from\nthe origin point the given distance on the given bearing.\n\nSee http://www.movable-type.co.uk/scripts/latlong.html#rhumblines","ref":"Landmark.Measurement.html#rhumb_destination/4"},{"type":"module","title":"Landmark.Transformation","doc":"","ref":"Landmark.Transformation.html"},{"type":"function","title":"Landmark.Transformation.translate/4","doc":"Moves a geometry a specified distance along a Rhumb Line in the direction of the provided bearing","ref":"Landmark.Transformation.html#translate/4"},{"type":"function","title":"Examples - Landmark.Transformation.translate/4","doc":"iex> Landmark.Transformation.translate(%Geo.Point{coordinates: {-75, 39}}, 100, 90)\n    %Geo.Point{coordinates: {-73.84279077386554, 39.0}}","ref":"Landmark.Transformation.html#translate/4-examples"},{"type":"extras","title":"Landmark","doc":"# Landmark\n\nA geospatial analysis library for Elixir.\n\nLandmark is a collection of functions for manipulating and performing computations on geospatial entities.\n\nIt's designed to work with structs provided by the [Geo][geo] library which makes working with GeoJSON much simpler.","ref":"readme.html"},{"type":"extras","title":"Installation - Landmark","doc":"Add `landmark` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:landmark, \"~> 0.5.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Landmark","doc":"Visit [the docs][docs] for the latest API.\n\n[geo]: https://github.com/felt/geo\n[docs]: https://hexdocs.pm/landmark/api-reference.html","ref":"readme.html#usage"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}